##
## test_doctests.py
## Login : <uli@pu.smp.net>
## Started on  Tue Sep 13 10:32:13 2011 Uli Fouquet
## $Id$
## 
## Copyright (C) 2011 Uli Fouquet
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Setup doctests for browser module.
"""
import doctest
import os
import unittest
from waeup.sirp.testing import (
    setUp, tearDown, getRootFolder, checker, FunctionalLayer)

def test_suite():
    suite = unittest.TestSuite()
    for filename in [
        'batchprocessing.txt',
        'breadcrumbs.txt',
        'browser.txt',
        ]:
        path = os.path.join(
            os.path.dirname(
                    os.path.dirname(__file__)), filename)
        test = doctest.DocFileSuite(
            path,
            module_relative=False,
            setUp=setUp, tearDown=tearDown,
            globs = dict(getRootFolder = getRootFolder),
            optionflags = doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE,
            checker = checker,
            )
        test.layer = FunctionalLayer
        suite.addTest(test)
    return suite
